rowFtests {arrayMagic} | R Documentation

## F-test and t-test for rows of a matrix

### Description

F-test and t-test for rows of a matrix

### Usage

    rowFtests(x, fac)
    rowttests(x, fac)

### Arguments

`x` | Matrix
`fac` | Factor, with `length(fac)=ncol(x)`. For `rowttests`, `fac` must have exactly two levels.

### Details

If `fac` is specified, `rowttests` performs for each row of `x` a two-sided, two-class t-test with equal variances. `fac` must be a factor of length `ncol(x)` with two levels, corresponding to the two groups.

If `fac` is missing, `rowttests` performs for each row of `x` a two-sided one-class t-test against the null hypothesis 'mean=0'.

With the current implementation, `NA`s are not allowed. This could be changed if desirable.

### Value

A list with the test statistics, p-values, degrees of freedom.

### Author(s)

Wolfgang Huber <w.huber@dkfz.de>

### See Also

`mt.teststat`

### Examples

       x  = matrix(runif(9700), ncol=97)
       k2 = floor(runif(ncol(x))*2)
       k7 = floor(runif(ncol(x))*7)

       t1 = rowttests(x)
       t2 = rowttests(x, factor(k2))
       ft = rowFtests(x, factor(k7))

       if(require(multtest)) {
         fs = mt.teststat(x, k7, test="f")
         stopifnot(all(abs(fs - ft$statistic) < 1e-6))

         ts2 = mt.teststat(x, k2, test="t.equalvar")
         stopifnot(all(abs(ts2 - t2$statistic) < 1e-6))

         ts1 = apply(x, 1, function(x) t.test(x)$statistic)
         stopifnot(all(abs(ts1 - t1$statistic) < 1e-6))
       }

[Package Contents]